Bug 1540683 - [abrt] disper: XQueryExtension(): python2.7 killed by SIGSEGV
Summary: [abrt] disper: XQueryExtension(): python2.7 killed by SIGSEGV
Keywords:
Status: CLOSED ERRATA
Alias: None
Product: Fedora
Classification: Fedora
Component: disper
Version: 27
Hardware: x86_64
OS: Unspecified
unspecified
unspecified
Target Milestone: ---
Assignee: Mario Santagiuliana
QA Contact: Fedora Extras Quality Assurance
URL: https://retrace.fedoraproject.org/faf...
Whiteboard: abrt_hash:dc47017fc788d1eaf2b0c8b71ef...
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 2018-01-31 18:05 UTC by Oren Oichman
Modified: 2018-11-10 03:29 UTC (History)
1 user (show)

Fixed In Version: disper-0.3.1-14.fc27 disper-0.3.1-14.fc29 disper-0.3.1-14.fc28
Doc Type: If docs needed, set a value
Doc Text:
Clone Of:
Environment:
Last Closed: 2018-11-10 02:27:35 UTC


Attachments (Terms of Use)
File: backtrace (94.00 KB, text/plain)
2018-01-31 18:05 UTC, Oren Oichman
no flags Details
File: cgroup (289 bytes, text/plain)
2018-01-31 18:05 UTC, Oren Oichman
no flags Details
File: core_backtrace (15.34 KB, text/plain)
2018-01-31 18:05 UTC, Oren Oichman
no flags Details
File: cpuinfo (1.39 KB, text/plain)
2018-01-31 18:05 UTC, Oren Oichman
no flags Details
File: dso_list (3.37 KB, text/plain)
2018-01-31 18:05 UTC, Oren Oichman
no flags Details
File: environ (4.82 KB, text/plain)
2018-01-31 18:05 UTC, Oren Oichman
no flags Details
File: exploitable (82 bytes, text/plain)
2018-01-31 18:05 UTC, Oren Oichman
no flags Details
File: limits (1.29 KB, text/plain)
2018-01-31 18:05 UTC, Oren Oichman
no flags Details
File: maps (15.46 KB, text/plain)
2018-01-31 18:05 UTC, Oren Oichman
no flags Details
File: mountinfo (4.74 KB, text/plain)
2018-01-31 18:05 UTC, Oren Oichman
no flags Details
File: open_fds (384 bytes, text/plain)
2018-01-31 18:05 UTC, Oren Oichman
no flags Details
File: proc_pid_status (1.30 KB, text/plain)
2018-01-31 18:05 UTC, Oren Oichman
no flags Details

Description Oren Oichman 2018-01-31 18:05:27 UTC
Version-Release number of selected component:
disper-0.3.1-8.fc27

Additional info:
reporter:       libreport-2.9.3
backtrace_rating: 4
cmdline:        python /usr/bin/disper -l
crash_function: XQueryExtension
executable:     /usr/bin/python2.7
journald_cursor: s=1e60ac8e198449dd84fef1d5f7461016;i=35032;b=286d707814f24cfcb1e3dcc140a9a776;m=21f50d55d;t=563828fbe3059;x=29f952205b9faca3
kernel:         4.14.13-300.fc27.x86_64
rootdir:        /
runlevel:       N 5
type:           CCpp
uid:            1000

Truncated backtrace:
Thread no. 1 (10 frames)
 #0 XQueryExtension at QuExt.c:43
 #1 XInitExtension at InitExt.c:47
 #2 XextAddDisplay at extutil.c:110
 #3 XRRFindDisplay at Xrandr.c:295
 #4 XRRQueryVersion at Xrandr.c:373
 #5 ffi_call_unix64 at ../src/x86/unix64.S:76
 #6 ffi_call at ../src/x86/ffi64.c:525
 #7 _call_function_pointer at /usr/src/debug/python2-2.7.14-6.fc27.x86_64/Modules/_ctypes/callproc.c:841
 #8 _ctypes_callproc at /usr/src/debug/python2-2.7.14-6.fc27.x86_64/Modules/_ctypes/callproc.c:1184
 #9 PyCFuncPtr_call at /usr/src/debug/python2-2.7.14-6.fc27.x86_64/Modules/_ctypes/_ctypes.c:3979

Comment 1 Oren Oichman 2018-01-31 18:05:32 UTC
Created attachment 1389118 [details]
File: backtrace

Comment 2 Oren Oichman 2018-01-31 18:05:33 UTC
Created attachment 1389119 [details]
File: cgroup

Comment 3 Oren Oichman 2018-01-31 18:05:34 UTC
Created attachment 1389120 [details]
File: core_backtrace

Comment 4 Oren Oichman 2018-01-31 18:05:35 UTC
Created attachment 1389121 [details]
File: cpuinfo

Comment 5 Oren Oichman 2018-01-31 18:05:35 UTC
Created attachment 1389122 [details]
File: dso_list

Comment 6 Oren Oichman 2018-01-31 18:05:36 UTC
Created attachment 1389123 [details]
File: environ

Comment 7 Oren Oichman 2018-01-31 18:05:37 UTC
Created attachment 1389124 [details]
File: exploitable

Comment 8 Oren Oichman 2018-01-31 18:05:38 UTC
Created attachment 1389125 [details]
File: limits

Comment 9 Oren Oichman 2018-01-31 18:05:39 UTC
Created attachment 1389126 [details]
File: maps

Comment 10 Oren Oichman 2018-01-31 18:05:40 UTC
Created attachment 1389127 [details]
File: mountinfo

Comment 11 Oren Oichman 2018-01-31 18:05:41 UTC
Created attachment 1389128 [details]
File: open_fds

Comment 12 Oren Oichman 2018-01-31 18:05:42 UTC
Created attachment 1389129 [details]
File: proc_pid_status

Comment 13 Fedora Update System 2018-10-28 00:35:54 UTC
disper-0.3.1-14.fc29 has been submitted as an update to Fedora 29. https://bodhi.fedoraproject.org/updates/FEDORA-2018-9d201b79e8

Comment 14 Fedora Update System 2018-10-28 00:36:10 UTC
disper-0.3.1-14.fc27 has been submitted as an update to Fedora 27. https://bodhi.fedoraproject.org/updates/FEDORA-2018-79a660c9e5

Comment 15 Fedora Update System 2018-10-28 00:36:23 UTC
disper-0.3.1-14.fc28 has been submitted as an update to Fedora 28. https://bodhi.fedoraproject.org/updates/FEDORA-2018-67d604cabb

Comment 16 Fedora Update System 2018-10-28 18:47:14 UTC
disper-0.3.1-14.fc27 has been pushed to the Fedora 27 testing repository. If problems still persist, please make note of it in this bug report.
See https://fedoraproject.org/wiki/QA:Updates_Testing for
instructions on how to install test updates.
You can provide feedback for this update here: https://bodhi.fedoraproject.org/updates/FEDORA-2018-79a660c9e5

Comment 17 Fedora Update System 2018-10-28 18:55:00 UTC
disper-0.3.1-14.fc28 has been pushed to the Fedora 28 testing repository. If problems still persist, please make note of it in this bug report.
See https://fedoraproject.org/wiki/QA:Updates_Testing for
instructions on how to install test updates.
You can provide feedback for this update here: https://bodhi.fedoraproject.org/updates/FEDORA-2018-67d604cabb

Comment 18 Fedora Update System 2018-10-31 18:50:39 UTC
disper-0.3.1-14.fc29 has been pushed to the Fedora 29 testing repository. If problems still persist, please make note of it in this bug report.
See https://fedoraproject.org/wiki/QA:Updates_Testing for
instructions on how to install test updates.
You can provide feedback for this update here: https://bodhi.fedoraproject.org/updates/FEDORA-2018-9d201b79e8

Comment 19 Fedora Update System 2018-11-10 02:27:35 UTC
disper-0.3.1-14.fc27 has been pushed to the Fedora 27 stable repository. If problems still persist, please make note of it in this bug report.

Comment 20 Fedora Update System 2018-11-10 03:17:39 UTC
disper-0.3.1-14.fc29 has been pushed to the Fedora 29 stable repository. If problems still persist, please make note of it in this bug report.

Comment 21 Fedora Update System 2018-11-10 03:29:07 UTC
disper-0.3.1-14.fc28 has been pushed to the Fedora 28 stable repository. If problems still persist, please make note of it in this bug report.


Note You need to log in before you can comment on or make changes to this bug.